Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portal
Class PortalsResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.portal.portal.PortalsResourceType

All Implemented Interfaces
  Serializable

    public final class PortalsResourceType

extends ResourceType

`ResourceType` for the collection of portals.

See Also
  Serialized Form

Field Summary
`static String` | `NAMESPACE_URI` The namespace URI of `PortalsResourceType`.

Method Summary
`static PortalsResourceType` | `getPortalsResourceType()` Get the `PortalsResourceType`.
`String` | `getTreeMode()` Overridding ResourceType.getTreeMode() since this resource type convention is different than the default convention

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

  The namespace URI of `PortalsResourceType`.

  See Also
    Constants Summary

Method Detail

### getPortalsResourceType

    public static PortalsResourceType getPortalsResourceType()

  Get the `PortalsResourceType`.

  Returns
    the `PortalsResourceType`

### getTreeMode

    public String getTreeMode()

  Overridding ResourceType.getTreeMode() since this resource type convention is different than the default convention

  Overrides:
    `getTreeMode` in class `ResourceType`
  Returns
    the tree mode of this `ResourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved